STRSTR(3)

NAME
strstr, strcasestr - locate a substring in a string

SYNOPSIS
#include <string.h>
char *
strstr(const char *big, const char *little);
char *
strcasestr(const char *big, const char *little);

DESCRIPTION
The strstr() function locates the first occurrence of the NUL-terminated string little in the NUL-terminated string big.

The strcasestr() function is similar to strstr() but ignores the case of both strings.

RETURN VALUES
If little is an empty string, big is returned; if little occurs nowhere in big, NULL is returned; otherwise a pointer to the first character of the first occurrence of little is returned.

SEE ALSO
memchr(3), memmem(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strtok(3), wcsstr(3)

STANDARDS
The strstr() function conforms to ansiC.

HISTORY
The strstr() function first appeared in 4.3BSD Reno. The strcasestr() function appeared in glibc 2.1, was reimplemented for FreeBSD 4.5 and ported to OpenBSD 3.8.